Bug 244571 - `yum info all' exits with UnicodeEncodeError
`yum info all' exits with UnicodeEncodeError
Status: CLOSED DUPLICATE of bug 244080
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
i686 Linux
low Severity medium
: ---
: ---
Assigned To: James Antill
Depends On:
  Show dependency treegraph
Reported: 2007-06-17 10:11 EDT by Cristian Ciupitu
Modified: 2014-01-21 17:58 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-06-18 17:17:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Cristian Ciupitu 2007-06-17 10:11:23 EDT
When I run `yum info all' it exits with an UnicodeEncodeError at the aterm

# yum info all
Loading "installonlyn" plugin
Installed Packages
Name   : ConsoleKit
Name   : aterm
Arch   : i386
Version: 1.0.0
Release: 7.fc7
Size   : 117 k
Repo   : fedora
Summary: Afterstep XVT, VT102 emulator for the X Window system

Traceback (most recent call last):  File "/usr/bin/yum", line 29, in <module>
  File "/usr/share/yum-cli/yummain.py", line 94, in main
    result, resultmsgs = base.doCommands()
  File "/usr/share/yum-cli/cli.py", line 264, in doCommands
    return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd,
  File "/usr/share/yum-cli/yumcommands.py", line 165, in doCommand
    base.listPkgs(ypl.available, 'Available Packages', basecmd)
  File "/usr/share/yum-cli/output.py", line 102, in listPkgs
  File "/usr/share/yum-cli/output.py", line 73, in infoOutput
    print _("Description:\n%s") % pkg.description
UnicodeEncodeError: 'ascii' codec can't encode character u'\xb4' in position
109: ordinal not in range(128)

Version-Release number of selected component(s):

How reproducible:
    Everytime (on my machine)

Steps to Reproduce:
    Relevant environmental variables:
    no LC* variables are set.

Other information that could be useful:
      `yum info aterm' works

# yum info aterm
Loading "installonlyn" plugin
Available Packages
Name   : aterm
Arch   : i386
Version: 1.0.0
Release: 7.fc7
Size   : 117 k
Repo   : fedora
Summary: Afterstep XVT, VT102 emulator for the X Window system
aterm, version 1.00 is a colour vt102 terminal emulator, based on
rxvt 2.4.8 with Alfredo Kojima´s additions of fast transparency,
intended as an xterm(1) replacement for users who do not require fea-
tures such as Tektronix 4014 emulation and toolkit-style configurabil-
ity. As a result, aterm uses much less swap space -- a significant
advantage on a machine serving many X sessions.

Comment 1 Cristian Ciupitu 2007-06-17 10:43:31 EDT
   The following command works fine:
yum --exclude aterm --exclude ballz --exclude checkpolicy --exclude ctrlproxy
--exclude cups-devel --exclude cups-lpd --exclude curry --exclude dates
--exclude exim-clamav --exclude inkscape --exclude ipw2100-firmware --exclude
ipw2200-firmware --exclude iwlwifi-firmware --exclude jbigkit-libs --exclude
kompose --exclude opencv --exclude prelude-lml --exclude regexxer --exclude
selinux-doc --exclude wv2 --exclude xfce4-places-plugin --exclude zzuf info all
Comment 2 Jeremy Katz 2007-06-18 17:17:18 EDT

*** This bug has been marked as a duplicate of 244080 ***

Note You need to log in before you can comment on or make changes to this bug.